This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### nf()
Examples |
    int a=200, b=40, c=90;
    String sa = nf(a, 10);
    println(sa);  // Prints "0000000200"
    String sb = nf(b, 5);
    println(sb);  // Prints "00040"
    String sc = nf(c, 3);
    println(sc);  // Prints "090"

    float d = 200.94, e = 40.2, f = 9.012;
    String sd = nf(d, 10, 4);
    println(sd);  // Prints "0000000200.9400"
    String se = nf(e, 5, 3);
    println(se);  // Prints "00040.200"
    String sf = nf(f, 3, 5);
    println(sf);  // Prints "009.01200"
Description | Utility function for formatting numbers into strings. There are two versions: one for formatting floats, and one for formatting ints. The values for the digits, left, and right parameters should always be positive integers. As shown in the above example, nf() is used to add zeros to the left and/or right of a number. This is typically for aligning a list of numbers. To remove digits from a floating-point number, use the int(), ceil(), floor(), or round() functions.
Syntax |
    nf(num, digits)
    nf(num, left, right)
Parameters |
num | float[], int[], or int: the number(s) to format
digits | int: number of digits to pad with zero
left | int: number of digits to the left of the decimal point
right | int: number of digits to the right of the decimal point
Returns | String or String[]
Related | nfs() nfp() nfc()

Updated on October 26, 2013 08:58:31pm PDT